optics-core-0.4.1.1: Optics as an abstract interface: core definitions

Safe Haskell | None
Language | Haskell2010

Optics.Internal.Traversal

Description

Internal implementation details of traversals.

This module is intended for internal use only, and may change without warning in subsequent releases.

Synopsis

- traversed__ :: (Traversing p, Traversable f) => Optic__ p i i (f a) (f b) a b

# Documentation

traversed__ :: (Traversing p, Traversable f) => Optic__ p i i (f a) (f b) a b Source #

Internal implementation of `traversed`.